OGRE: Ogre::CgFxScriptLoader Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::CgFxScriptLoader Class Reference
Plugins » CgProgramManager

Manages Overlay objects, parsing them from .overlay files and storing a lookup library of them. More...

`#include <OgreCgFxScriptLoader.h>`

Inheritance diagram for Ogre::CgFxScriptLoader:
[legend]

## Public Member Functions
| CgFxScriptLoader ()
virtual | ~CgFxScriptLoader ()
Real | getLoadingOrder (void) const override
| Gets the loading order for scripts of this type.
const StringVector & | getScriptPatterns (void) const override
| Gets the file patterns which should be used to find scripts for this class.
void | parseScript (DataStreamPtr &stream, const String &groupName) override
| Parse a script file.
Public Member Functions inherited from Ogre::Singleton< CgFxScriptLoader >
| ~Singleton (void)
Public Member Functions inherited from Ogre::ScriptLoader
virtual | ~ScriptLoader ()

## Static Public Member Functions
static CgFxScriptLoader & | getSingleton (void)
| Get the singleton instance.
static CgFxScriptLoader * | getSingletonPtr (void)
| Get the singleton instance.
Static Public Member Functions inherited from Ogre::Singleton< CgFxScriptLoader >
static CgFxScriptLoader & | getSingleton (void)
| Get the singleton instance.
static CgFxScriptLoader * | getSingletonPtr (void)
| Get the singleton instance.

## Detailed Description

Manages Overlay objects, parsing them from .overlay files and storing a lookup library of them.

Alo manages the creation of OverlayContainers and OverlayElements, used for non-interactive 2D elements such as HUDs.

## Constructor & Destructor Documentation

## ◆ CgFxScriptLoader()

Ogre::CgFxScriptLoader::CgFxScriptLoader | ( |  | ) |

Referenced by getSingleton(), and getSingletonPtr().

## ◆ ~CgFxScriptLoader()

virtual Ogre::CgFxScriptLoader::~CgFxScriptLoader | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ getScriptPatterns()

const StringVector & Ogre::CgFxScriptLoader::getScriptPatterns | ( | void |  | ) | const
| overridevirtual

Gets the file patterns which should be used to find scripts for this class.

This method is called when a resource group is loaded if you use ResourceGroupManager::_registerScriptLoader.

Returns
  A list of file patterns, in the order they should be searched in.

Implements Ogre::ScriptLoader.

## ◆ parseScript()

void Ogre::CgFxScriptLoader::parseScript | ( | DataStreamPtr & | stream,
|  | const String & | groupName )
| overridevirtual

Parse a script file.

Parameters

  stream | Weak reference to a data stream which is the source of the script
  groupName | The name of a resource group which should be used if any resources are created during the parse of this script.

Implements Ogre::ScriptLoader.

## ◆ getLoadingOrder()

Real Ogre::CgFxScriptLoader::getLoadingOrder | ( | void |  | ) | const
| overridevirtual

Gets the loading order for scripts of this type.

There are dependencies between some kinds of scripts, and this value enumerates that. Higher values load later during bulk loading tasks.

Returns
  The loading order

Implements Ogre::ScriptLoader.

## ◆ getSingleton()

CgFxScriptLoader & Ogre::CgFxScriptLoader::getSingleton | ( | void |  | ) |
| static

Get the singleton instance.

References CgFxScriptLoader().

## ◆ getSingletonPtr()

CgFxScriptLoader * Ogre::CgFxScriptLoader::getSingletonPtr | ( | void |  | ) |
| static

Get the singleton instance.

References CgFxScriptLoader().

The documentation for this class was generated from the following file:

- OgreCgFxScriptLoader.h